function config= createEnsembleClassifierConfig(config)

    if nargin < 1, config= []; end
    
    if ~isfield(config, 'type'), config.type= 'ensemble'; end
    
    if ~isfield(config, 'modusTrain'), config.modusTrain= 'nClassifiers'; end
    if ~isfield(config, 'modusResponse'), config.modusResponse= 'unweighted'; end
    
    if strcmp(config.modusTrain, 'boost')
        
    elseif strcmp(config.modusTrain, 'bag')
        
    elseif strcmp(config.modusTrain, 'nClassifiers')
        if ~isfield(config, 'nClassifiers'), config.nClassifiers= 10; end
        if ~isfield(config, 'classifierConfig'), config.classifierConfig= createClassifierConfig; end
        config.classifierConfig.permuteSamples= 1;
    end
        
    if ~isfield(config, 'displayInfo'), config.displayInfo= 1; end
    if ~isfield(config, 'keepHistory'), config.keepHistory= 0; end