%FRAGE: muss der sfactor beim runterskalieren fuer alle figuren fest sein,
%oder kann es abhaengig von der laenge bestimmt werden?????????

function [sc, nl] = ssample(curve, nl)

clen = length(curve);
sdfactor = nl/clen;
if clen>=nl
    %sfactor <=1 
    %sfactor = nl/clen;
    %display(sdfactor);
    
    ctmp = scaledown(curve, sdfactor);
   % figure; plot (ctmp, 'green'); hold on; plot (curve, 'red'); 
    sc = subsample(ctmp, nl);
else 
    %sfactor > 1 
    sfactor = ceil(nl/clen)+1;
   % display(sfactor);
    %display(sfactor);
    %display(length(curve));
    %ctmp = scaledown(curve, sdfactor);
    %ctmp = scaleup(ctmp, sfactor);
    ctmp = scaleup(curve, sfactor);
    %ctmp = scaledown(ctmp, sdfactor); 
    
    %figure; plot (ctmp, 'green'); hold on; plot (curve, 'red');  
   %display(length(ctmp));
    sc = subsample(ctmp, nl);
end




function sc = scaledown(curve, sfactor) 
sc = complex(real(curve).*sfactor, imag(curve).*sfactor);

function sc = scaleup(curve, sfactor)
x=interp(real(curve), sfactor, 1, 0.000001);
y=interp(imag(curve), sfactor, 1, 0.000001);

x=x(1:(end-sfactor));
y=y(1:(end-sfactor));

sc =complex(x,y);


function sc =subsample(curve, nl) 
clen = length(curve);

sc = zeros(1,nl);

samplingfactor = nl/clen;
posvector = ceil(samplingfactor*(1:clen));

for i=1:clen
    sc(posvector(i)) = curve(i);
end

